function  [xavg,xpre,xvar]= compavgpre(xsum,xsqr,n)
% INPUT:    - sum of X_i's xsum
%           - sum of sqrs of X_i's xsqr
%           - n number of obs.
% OUTPUT:   - xavg=mean(X_i)
%           - xvar=Var(X_i)
%           - xpre = relative precision of estimate with 98% confidence
%             level

xavg=xsum/n;
xvar=(xsqr - (n*(xavg.^2)))/(n-1);
xpre=2.326*(sqrt(xvar/n))./abs(xavg);