function x = focprice(p,profpar,state,w)

% INPUTS:   - price p (xmax x 1)
%           - profit parameters profpar    
%           - state (xmax x 1)
%           - utility function quality scaling w (xmax x 1)
% OUTPUT:   - FOCs for pricing game (logit demand system) (xmax x 1)

% Rename parameters to be used in this function
% to simplify notation
m=profpar.m;
Y=profpar.Y;
theta1=profpar.theta1;
theta2=profpar.theta2;
psi=profpar.psi;
c=profpar.c;
utout=profpar.utout;

n =exp(theta1*log(w)+theta2*log(Y-p));
denom = exp(utout) + n'*state;   
ms = n/denom;
x=Y-p+theta2*(p-c).*(ms-1);    
