function Jnew = optstop(constants,transition,control)

% INPUTS:   - constant, transition, and control parameters 
% OUPUTS:   - barphi: expected NPV of entering the market, investing 0 each
%             period, and then exiting at an optimal stopping time

beta=constants.beta;
K=transition.K;
TOL_valueit=control.TOL_valueit;

Jnew=2*K;
Jold=Jnew+100*TOL_valueit;

while(max(abs(Jold-Jnew))>TOL_valueit)
   Jold=Jnew;
   rho=beta*Jold;
   [prcont,condexp] = contprob(transition,rho);
   Jnew=(1-prcont)*(condexp)+(prcont)*rho;
end 